Bug 1687882 - Fedora-30-20190312.n.0 server dvd iso does not boot, stuck on dracut emergency shell
Summary: Fedora-30-20190312.n.0 server dvd iso does not boot, stuck on dracut emergenc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 30
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: PPCTracker F30BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-03-12 14:45 UTC by Menanteau Guy
Modified: 2019-03-22 18:02 UTC (History)
11 users (show)

Fixed In Version: lorax-30.17-1 lorax-30.17-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 18:02:47 UTC


Attachments (Terms of Use)
boot log (63.51 KB, text/plain)
2019-03-12 14:46 UTC, Menanteau Guy
no flags Details

Description Menanteau Guy 2019-03-12 14:45:21 UTC
Last Fedora-30-20190312.n.0 server dvd iso is not able to boot.
It is stuck on dracut emergency shell.

in the error log we can see:
localhost dracut-initqueue[805]: Warning: dracut-initqueue timeout - starting timeout scripts

It seems to me that the size of initrd.img (superior than 64MB) could be the problem but I am not able to confirm.

You can see openqa tests with FLAVOR:universal  https://openqa.stg.fedoraproject.org/tests/overview?distri=fedora&version=30&build=Fedora-30-20190312.n.0&groupid=3

Comment 1 Menanteau Guy 2019-03-12 14:46:02 UTC
Created attachment 1543218 [details]
boot log

Comment 2 Menanteau Guy 2019-03-12 14:47:55 UTC
It seems that last rawhide ppc64le Server dvd iso have the same problem

Comment 3 Brian Lane 2019-03-12 17:19:42 UTC
How was this image created? The cmdline says  inst.stage2=hd:LABEL=Fedora_S_dvd_ppc64le_30  but the label on sr0 is LABEL="Fedora-S-dvd-ppc64le-30"
I don't think it will map _ to -

Comment 4 Menanteau Guy 2019-03-13 10:33:45 UTC
Brian, You are right, I changed inst.stage2=hd:LABEL=Fedora_S_dvd_ppc64le_30 by inst.stage2=hd:LABEL=Fedora-S-dvd-ppc64le-30 in the grub command line and it is a lot better !!! so nothing to do with the initrd size...

The iso is comming from the dayly compose:  https://kojipkgs.fedoraproject.org/compose/branched/Fedora-30-20190312.n.0/compose/Server/ppc64le/iso/Fedora-Server-dvd-ppc64le-30-20190312.n.0.iso

Comment 5 Brian Lane 2019-03-13 16:10:09 UTC
Ah! DVD. I'm going to bet that pungi is creating that label with the - in it. The boot.iso looks fine:

$ isoinfo -d -i Fedora-Everything-netinst-ppc64le-30-20190312.n.0.iso
CD-ROM is in ISO 9660 format
System id: PPC
Volume id: Fedora_E_dvd_ppc64le_30
Volume set id: 30
Publisher id: 
Data preparer id: XORRISO-1.5.0 2018.09.15.133001, LIBISOBURN-1.5.0, LIBISOFS-1.5.0, LIBBURN-1.5.0
Application id: FEDORA 30
Copyright File id: 
Abstract File id: 
Bibliographic File id: 
Volume set size is: 1
Volume set sequence number is: 1
Logical block size is: 2048
Volume size is: 291159
Joliet with UCS level 3 found
Rock Ridge signatures version 1 found


Looking at the way ppc64le creates the isolabel shows that it is different from x86_64, because of yaboot (which we don't use anymore) and escapes. I think right way to fix this is to just use the same code as x86_64 in the ppc64le template. 

https://github.com/weldr/lorax/pull/638

Comment 6 Michel Normand 2019-03-15 05:31:02 UTC
referenced pungi PR is not yet merged and install on production.
So last delivered f30/rawhide composes still have same failure.

Comment 7 Adam Williamson 2019-03-15 18:50:58 UTC
Beta is in freeze right now, so this needs a freeze exception to go in. I'm gonna just go ahead and call this an automatic freeze exception per "Complete failure of any non-release-blocking TC/RC image to boot at all under any circumstance - "DOA" image (conditional failure is not an automatic freeze exception)" - https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process#Automatic_freeze_exceptions . OK, technically it does boot if you change the args, but come on. :P

Brian, I see you merged the fix, can we assume an update is on the way? Thanks!

Comment 8 Fedora Update System 2019-03-15 19:52:17 UTC
lorax-30.17-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5edfcfd391

Comment 9 Fedora Update System 2019-03-16 20:18:09 UTC
lorax-30.17-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5edfcfd391

Comment 10 Fedora Update System 2019-03-22 18:02:47 UTC
lorax-30.17-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.